Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.formalisms.flow
Interface StationInterface

All Superinterfaces:
  nl.tudelft.simulation.event.EventProducerInterface

All Known Implementing Classes:
  Station

public interface StationInterface
extends nl.tudelft.simulation.event.EventProducerInterface

A station is an object which accepts other objects and is linked to a destination.

(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Since:
  1.0
Version:
  1.5 2004-03-26
Author:
  Peter Jacobs

Field Summary
`static nl.tudelft.simulation.event.EventType` | `RECEIVE_EVENT` RECEIVE_EVENT is fired whenever an entity enters the station
`static nl.tudelft.simulation.event.EventType` | `RELEASE_EVENT` RECEIVE_EVENT is fired whenever an entity leaves the station

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Method Summary
`StationInterface` | `getDestination()` Method getDestination.
`void` | `receiveObject(java.lang.Object object)` receives an object is invoked whenever an entity arrives
`void` | `setDestination(StationInterface destination)` sets the destination of this object

Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`addListener, addListener, addListener, addListener, getEventTypes, removeListener`

Field Detail

### RECEIVE_EVENT

    public static final nl.tudelft.simulation.event.EventType RECEIVE_EVENT

  RECEIVE_EVENT is fired whenever an entity enters the station

### RELEASE_EVENT

    public static final nl.tudelft.simulation.event.EventType RELEASE_EVENT

  RECEIVE_EVENT is fired whenever an entity leaves the station

Method Detail

### getDestination

    public StationInterface getDestination()
                                    throws java.rmi.RemoteException

  Method getDestination.

  Returns:
    StationInterface is the destination of this station
  Throws:
    `java.rmi.RemoteException` - on network failure

### receiveObject

    public void receiveObject(java.lang.Object object)
                       throws java.rmi.RemoteException

  receives an object is invoked whenever an entity arrives

  Parameters:
    `object` - is the entity
  Throws:
    `java.rmi.RemoteException` - on network failure

### setDestination

    public void setDestination(StationInterface destination)
                        throws java.rmi.RemoteException

  sets the destination of this object

  Parameters:
    `destination` - defines the next station in the model
  Throws:
    `java.rmi.RemoteException` - on network failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.